# IdeaModuleIml

open class IdeaModuleIml : XmlFileContentMerger

Models the generation/parsing/merging capabilities of an IDEA module.

For examples, see docs for IdeaModule.

## Constructors

IdeaModuleIml
Link copied to clipboard
constructor(xmlTransformer: XmlTransformer, generateTo: File)

## Properties

beforeMerged
Link copied to clipboard
open var beforeMerged: MutableActionSet
generateTo
Link copied to clipboard
open var generateTo: File
whenMerged
Link copied to clipboard
open var whenMerged: MutableActionSet
xmlTransformer
Link copied to clipboard
open var xmlTransformer: XmlTransformer

## Functions

beforeMerged
Link copied to clipboard
open fun beforeMerged(action: Action<out Any>)
whenMerged
Link copied to clipboard
open fun whenMerged(action: Action<out Any>)
withXml
Link copied to clipboard
open fun withXml(closure: Closure)